Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.indirection
Class ValueHolder

`java.lang.Object
oracle.toplink.indirection.ValueHolder`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, ValueHolderInterface

public class ValueHolder
extends java.lang.Object
implements ValueHolderInterface, java.lang.Cloneable, java.io.Serializable

Purpose: Act as a place holder for a variable that required a value holder interface. This class should be used to initialze an objects attributes that are using indirection is their mappings.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface oracle.toplink.indirection.ValueHolderInterface
`shouldToStringInstantiate`

Constructor Summary
`ValueHolder()` PUBLIC: Initialize the holder.
`ValueHolder(java.lang.Object value)` PUBLIC: Initialize the holder with an object.

Method Summary
`java.lang.Object` | `getValue()` PUBLIC: Return the wrapped object.
`boolean` | `isInstantiated()` PUBLIC: Return a boolean indicating whether the wrapped object has been set or not.
`void` | `setValue(java.lang.Object value)` PUBLIC: Set the wrapped object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueHolder

    public ValueHolder()

  PUBLIC: Initialize the holder.

### ValueHolder

    public ValueHolder(java.lang.Object value)

  PUBLIC: Initialize the holder with an object.

Method Detail

### getValue

    public java.lang.Object getValue()

  PUBLIC: Return the wrapped object.
  Specified by:
    `getValue` in interface `ValueHolderInterface`

### isInstantiated

    public boolean isInstantiated()

  PUBLIC: Return a boolean indicating whether the wrapped object has been set or not.
  Specified by:
    `isInstantiated` in interface `ValueHolderInterface`

### setValue

    public void setValue(java.lang.Object value)

  PUBLIC: Set the wrapped object.
  Specified by:
    `setValue` in interface `ValueHolderInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD